RemoveGroupForm (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.resource.RemoveGroupForm class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource
Class RemoveGroupForm

    java.lang.Object
      org.apache.struts.action.ActionForm
          org.apache.struts.validator.ValidatorForm
              org.hyperic.hq.ui.action.BaseValidatorForm
                  org.hyperic.hq.ui.action.resource.RemoveGroupForm

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  RemoveResourceGroupsForm

    public class RemoveGroupForm

extends BaseValidatorForm

removes a list of groups from a resource

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.validator.ValidatorForm
`page, validatorResults`

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`RemoveGroupForm()`

Method Summary
`java.lang.Integer[]` | `getG()` Getter for property g.
`java.lang.Integer` | `getRid()` Returns the rid.
`java.lang.Integer` | `getType()` Returns the type.
`void` | `reset(org.apache.struts.action.ActionMapping mapping, javax.servlet.http.HttpServletRequest request)`
`void` | `setG(java.lang.Integer[] groups)` Setter for property g.
`void` | `setRid(java.lang.Integer rid)` Sets the rid.
`void` | `setType(java.lang.Integer type)` Sets the type.
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hq.ui.action.BaseValidatorForm
`getAdd, getCancel, getCreate, getDelete, getEnable, getOk, getOkassign, getPn, getPs, getRemove, getReset, getUserset, isAddClicked, isCancelClicked, isCreateClicked, isDeleteClicked, isEnableClicked, isOkAssignClicked, isOkClicked, isRemoveClicked, isResetClicked, isUsersetClicked, setAdd, setCancel, setCreate, setDelete, setEnable, setOk, setOkassign, setPn, setPs, setRemove, setReset, setUserset, shouldValidate, validate`

Methods inherited from class org.apache.struts.validator.ValidatorForm
`getPage, getResultValueMap, getValidationKey, getValidatorResults, setPage, setValidatorResults`

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, reset, setMultipartRequestHandler, setServlet, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RemoveGroupForm

    public RemoveGroupForm()

Method Detail

### getG

    public java.lang.Integer[] getG()

  Getter for property g.

  Returns:
    Value of property g.

### setG

    public void setG(java.lang.Integer[] groups)

  Setter for property g.

  Parameters:
    `groups` - New value of property g.

### getRid

    public java.lang.Integer getRid()

  Returns the rid.

  Returns:
    String

### setRid

    public void setRid(java.lang.Integer rid)

  Sets the rid.

  Parameters:
    `rid` - The rid to set

### getType

    public java.lang.Integer getType()

  Returns the type.

  Returns:
    String

### setType

    public void setType(java.lang.Integer type)

  Sets the type.

  Parameters:
    `type` - The type to set

### reset

    public void reset(org.apache.struts.action.ActionMapping mapping,
                      javax.servlet.http.HttpServletRequest request)

  Overrides:
    `reset` in class `BaseValidatorForm`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `BaseValidatorForm`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.